English

Bug: Upgrade Spatial Reference fails to update some feature classes inside a feature dataset

Description

When the Upgrade Spatial Reference geoprocessing tool is run against a feature dataset, some feature classes cannot be upgraded. An error similar to the following is returned:

"The spatial reference cannot be altered. [name of feature class]
The given coordinate references are incompatible
Failed to execute (UpgradeSpatialReference_1)."

Cause

This is a known issue in ArcGIS 9.2.

Feature classes, participating in a feature dataset, that store m-values with an m-domain that differs from the feature dataset's m-domain cannot be successfully upgraded.

Workaround

If an error was returned from the Upgrade Spatial Reference geoprocessing tool on a feature dataset using ArcGIS 9.2 Service Pack 3 or earlier, run the Upgrade Spatial Reference geoprocessing tool a second time with ArcGIS 9.2 Service Pack 4.

  1. Navigate to the feature dataset in ArcCatalog.
  2. Expand the feature dataset in ArcCatalog.
  3. Right-click on a feature class inside the feature dataset and select 'Properties...'.
  4. Select the 'General' tab in the Feature Class Properties dialog box.
  5. Review the Data storage for the feature class. If the feature class is listed as high precision, continue to the next step. Otherwise, repeat steps 3-5 on the next feature class in the feature dataset.
  6. Select the 'Resolution' tab in the Feature Class Properties dialog box. Make a note of the XY Resolution and the Z Resolution (if applicable). These values are necessary for the Upgrade Spatial Reference operation.
  7. Close the Feature Class Properties dialog box.
  8. Right-click on the feature dataset and select 'Upgrade Spatial Reference...'.
  9. Select the values for the XY Resolution and M Resolution in the Upgrade Spatial Reference geoprocessing tool that match the XY Resolution and Z Resolution in step 6.
  10. Click OK on the Upgrade Spatial Reference geoprocessing tool. This upgrades the spatial reference successfully.